First time here? Check out the FAQ!
x

Canon MP Navigator

0 votes
asked by
edited by

Hello, I have a Canon MP252 printer/scanner and Windows XP. What version of MP Navigator do I need & where can I download it? Please advise.

1 Answer

0 votes
answered by (100k points)

MP Navigator EX version 3.05 is the right solution for your device. The application is available from the Canon Support Website. Originally, this product was made for EU and not for US but this is a region specific issue which will not affect the use of the printer/scanner. Although the website may say MP250 Series, you can use the software with your MP252 product as it from the same series.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...